Lessons for a standard
curl --request GET \
--url https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/lessons \
--header 'x-api-key: <api-key>'import requests
url = "https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/lessons"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.learningcommons.org/knowledge-graph/v0/academic-standards/{caseIdentifierUUID}/lessons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"identifier": "im:2ebf72dc-53f8-557b-b804-fca624be807a",
"name": "Making a Model for Data",
"ordinalName": "Lesson 11",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
},
{
"identifier": "im:b29e2804-6f89-5cd2-90e5-aa0b15c01343",
"name": "Predicting Populations",
"ordinalName": "Lesson 17",
"author": "Illustrative Mathematics",
"provider": "Learning Commons",
"license": "https://creativecommons.org/licenses/by-nc/4.0/",
"attributionStatement": "Knowledge Graph is provided by Learning Commons under the CC BY-4.0 license. Learning Commons received the scope and sequence of the Illustrative Mathematics 360 curriculum under CC BY-4.0 from Illustrative Mathematics."
}
],
"pagination": {
"limit": 100,
"nextCursor": null,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Lessons for a standard
Fetches summary information for all lessons that address a specific academic standard.
Returns lesson summaries (identifier, name, position) that are aligned to this standard, indicating which lessons in the curriculum help students achieve this learning expectation.
Use this endpoint when you need to:
- Find all lessons that teach a specific standard
- Build standards-based lesson sequences
- Track where standards are addressed across the curriculum
- Generate standards coverage reports
GET
/
academic-standards
/
{caseIdentifierUUID}
/
lessons
Lessons for a standard
Authorizations
API key for authentication
Path Parameters
CASE Network UUID for the resource
Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 1000Pagination cursor obtained from the nextCursor field in a previous response (not needed for the first page)
Was this page helpful?
⌘I